Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class ModifySnapshotAttributeRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.ModifySnapshotAttributeRequest

    public class ModifySnapshotAttributeRequest

extends AmazonWebServiceRequest

Container for the parameters to the `ModifySnapshotAttribute operation`.

Adds or remove permission settings for the specified snapshot.

See Also:
  `AmazonEC2.modifySnapshotAttribute(ModifySnapshotAttributeRequest)`

Constructor Summary
`ModifySnapshotAttributeRequest()`

Method Summary
`String` | `getAttribute()` The name of the attribute being modified.
`List<String>` | `getGroupNames()` The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot.
`String` | `getOperationType()` The operation to perform on the attribute.
`String` | `getSnapshotId()` The ID of the EBS snapshot whose attributes are being modified.
`List<String>` | `getUserIds()` The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot.
`void` | `setAttribute(String attribute)` The name of the attribute being modified.
`void` | `setGroupNames(Collection<String> groupNames)` The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot.
`void` | `setOperationType(String operationType)` The operation to perform on the attribute.
`void` | `setSnapshotId(String snapshotId)` The ID of the EBS snapshot whose attributes are being modified.
`void` | `setUserIds(Collection<String> userIds)` The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`ModifySnapshotAttributeRequest` | `withAttribute(String attribute)` The name of the attribute being modified.
`ModifySnapshotAttributeRequest` | `withGroupNames(Collection<String> groupNames)` The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot.
`ModifySnapshotAttributeRequest` | `withGroupNames(String... groupNames)` The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot.
`ModifySnapshotAttributeRequest` | `withOperationType(String operationType)` The operation to perform on the attribute.
`ModifySnapshotAttributeRequest` | `withSnapshotId(String snapshotId)` The ID of the EBS snapshot whose attributes are being modified.
`ModifySnapshotAttributeRequest` | `withUserIds(Collection<String> userIds)` The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot.
`ModifySnapshotAttributeRequest` | `withUserIds(String... userIds)` The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifySnapshotAttributeRequest

    public ModifySnapshotAttributeRequest()

Method Detail

### getSnapshotId

    public String getSnapshotId()

  The ID of the EBS snapshot whose attributes are being modified.

  Returns:
    The ID of the EBS snapshot whose attributes are being modified.

### setSnapshotId

    public void setSnapshotId(String snapshotId)

  The ID of the EBS snapshot whose attributes are being modified.

  Parameters:
    `snapshotId` - The ID of the EBS snapshot whose attributes are being modified.

### withSnapshotId

    public ModifySnapshotAttributeRequest withSnapshotId(String snapshotId)

  The ID of the EBS snapshot whose attributes are being modified.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotId` - The ID of the EBS snapshot whose attributes are being modified.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAttribute

    public String getAttribute()

  The name of the attribute being modified.

  Available attribute names: createVolumePermission

  Returns:
    The name of the attribute being modified.

    Available attribute names: createVolumePermission

### setAttribute

    public void setAttribute(String attribute)

  The name of the attribute being modified.

  Available attribute names: createVolumePermission

  Parameters:
    `attribute` - The name of the attribute being modified.

    Available attribute names: createVolumePermission

### withAttribute

    public ModifySnapshotAttributeRequest withAttribute(String attribute)

  The name of the attribute being modified.

  Available attribute names: createVolumePermission

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attribute` - The name of the attribute being modified.

    Available attribute names: createVolumePermission

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOperationType

    public String getOperationType()

  The operation to perform on the attribute.

  Available operation names: add, remove

  Returns:
    The operation to perform on the attribute.

    Available operation names: add, remove

### setOperationType

    public void setOperationType(String operationType)

  The operation to perform on the attribute.

  Available operation names: add, remove

  Parameters:
    `operationType` - The operation to perform on the attribute.

    Available operation names: add, remove

### withOperationType

    public ModifySnapshotAttributeRequest withOperationType(String operationType)

  The operation to perform on the attribute.

  Available operation names: add, remove

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `operationType` - The operation to perform on the attribute.

    Available operation names: add, remove

  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUserIds

    public List<String> getUserIds()

  The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

  Returns:
    The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

### setUserIds

    public void setUserIds(Collection<String> userIds)

  The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

  Parameters:
    `userIds` - The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

### withUserIds

    public ModifySnapshotAttributeRequest withUserIds(String... userIds)

  The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `userIds` - The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withUserIds

    public ModifySnapshotAttributeRequest withUserIds(Collection<String> userIds)

  The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `userIds` - The AWS user IDs to add to or remove from the list of users that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the createVolumePermission attribute is being modified.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroupNames

    public List<String> getGroupNames()

  The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

  Returns:
    The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

### setGroupNames

    public void setGroupNames(Collection<String> groupNames)

  The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

  Parameters:
    `groupNames` - The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

### withGroupNames

    public ModifySnapshotAttributeRequest withGroupNames(String... groupNames)

  The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupNames` - The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withGroupNames

    public ModifySnapshotAttributeRequest withGroupNames(Collection<String> groupNames)

  The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupNames` - The AWS group names to add to or remove from the list of groups that have permission to create EBS volumes from the specified snapshot. Currently supports "all". Only valid when the `createVolumePermission` attribute is being modified.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.